Bug 5444 - Нет компонента работы с почтой
: Нет компонента работы с почтой
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/evolution)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-11-04 11:05 by
Modified: 2006-09-28 22:44 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-11-04 11:05:13
$ evolution-2.0
  
(evolution-2.0:15344): evolution-shell-WARNING **: Cannot activate
'OAFIID:GNOME_Evolution_Addres
sbook_Component:2.0': g_module_open of
`/usr/lib/evolution/2.0/components/libevolution-addressboo
k.so' failed with `libssl3.so: cannot open shared object file: No such file or
directory'
  
  
(evolution-2.0:15344): evolution-shell-WARNING **: Cannot activate
'OAFIID:GNOME_Evolution_Mail_C
omponent:2.0': g_module_open of
`/usr/lib/evolution/2.0/components/libevolution-mail.so' failed with
`libssl3.so: cannot open shared object file: No such file or directory'


(evolution-2.0:15344): evolution-shell-WARNING **: Unknown component mail

(evolution-2.0:15344): evolution-shell-WARNING **: Cannot activate
OAFIID:GNOME_Evolution_Mail_AccountPrefs_ConfigControl:2.0 -- g_module_open of
`/usr/lib/evolution/2.0/components/libevolution-mail.so' failed with
`libssl3.so: cannot open shared object file: No such file or directory'

(evolution-2.0:15344): evolution-shell-WARNING **: Cannot activate
OAFIID:GNOME_Evolution_Mail_MailerPrefs_ConfigControl:2.0 -- g_module_open of
`/usr/lib/evolution/2.0/components/libevolution-mail.so' failed with
`libssl3.so: cannot open shared object file: No such file or directory'
(evolution-2.0:15344): evolution-shell-WARNING **: Cannot activate
OAFIID:GNOME_Evolution_Mail_ComposerPrefs_ConfigControl:2.0 -- g_module_open of
`/usr/lib/evolution/2.0/components/libevolution-mail.so' failed with
`libssl3.so: cannot open shared object file: No such file or directory'
  
(evolution-2.0:15344): evolution-shell-WARNING **: Cannot activate
OAFIID:GNOME_Evolution_Addressbook_Autocompletion_ConfigControl:2.0 --
g_module_open of `/usr/lib/evolution/2.0/components/libevolution-addressbook.so'
failed with `libssl3.so: cannot open shared object file: No such file or directory'
  
(evolution-2.0:15344): evolution-shell-WARNING **: Cannot activate
OAFIID:GNOME_Evolution_SMime_CertificateManager_ConfigControl:2.0 --
g_module_open of `/usr/lib/evolution/2.0/components/libevolution-addressbook.so'
failed with `libssl3.so: cannot open shared object file: No such file or directory'

$ rpm -qa | grep evolu
evolution-data-server-1.0.2-alt1
evolution-2.0.2-alt0.5

$ cat /etc/altlinux-release 
ALT Linux Sisyphus (20041101)
------- Comment #1 From 2004-11-04 11:09:24 -------
То же самое с 
libsmime3.so
libnss3.so
libsoftokn3.so

Временно создал линки на них из директории /usr/lib/firefox-1.0/ в  /usr/lib/
------- Comment #2 From 2004-11-04 15:12:44 -------
Смотрите.

$ rpm -qR evolution|grep 'so '
libnspr4.so
libnss3.so
libplc4.so
libplds4.so
libsmime3.so
libsoftokn3.so
libssl3.so

Соответственно эти зависимости должны быть удовлетворены apt'ом установкой 
$ rpm -qf `rpm -qR evolution|grep 'so '|sed -e 's,\(.*\),/usr/lib/\1,'`|sort|uniq
mozilla-1.7.2-alt1
mozilla-psm-1.7.2-alt1

Почему у Вас это не произошло, не знаю.
------- Comment #3 From 2004-11-04 15:33:49 -------
Что говорит
# apt-get -f install
?
------- Comment #4 From 2004-11-09 12:15:03 -------
$ sudo apt-get -f install
Password:
Чтение списков пакетов... Завершено
Построение дерева зависимостей... Завершено
0 будет обновлено, 0 новых установлено, 0 пакетов будет удалено и 0 не будет
обновлено.


Мозилла у меня была, но я ее убрал (apt-get remove), уже после установки
evolution. При этом апт не предлагал мне заодно убрать и evolution.
------- Comment #5 From 2004-11-09 12:27:40 -------
(In reply to comment #4)
> $ sudo apt-get -f install
> Password:
> Чтение списков пакетов... Завершено
> Построение дерева зависимостей... Завершено
> 0 будет обновлено, 0 новых установлено, 0 пакетов будет удалено и 0 не будет
> обновлено.
> 
> 
> Мозилла у меня была, но я ее убрал (apt-get remove), уже после установки
> evolution. При этом апт не предлагал мне заодно убрать и evolution.

За такое удовлетворение зависимостей надо бить apt. Перевесте на него этот баг.
------- Comment #6 From 2005-01-24 01:40:13 -------
> > 
> > Мозилла у меня была, но я ее убрал (apt-get remove), уже после установки
> > evolution. При этом апт не предлагал мне заодно убрать и evolution.
> 
> За такое удовлетворение зависимостей надо бить apt. Перевесте на него этот баг.
> 
Впрочем можно бить и rpm, и мозиллу с отпрысками.

------- Comment #7 From 2005-05-18 20:12:05 -------
Я не понял, причём тут apt.
Скорректируйте Summary, чтобы в длинном списке багов было понятно, о чём идёт
речь.
------- Comment #8 From 2005-09-10 18:06:32 -------
*** Bug 5443 has been marked as a duplicate of this bug. ***
------- Comment #9 From 2005-11-26 00:19:16 -------
apt тут не при чём.
Пожалуйста, исправляйте зависимости в mozilla, evolution и прочей ерунде.
------- Comment #10 From 2005-12-05 21:01:25 -------
> 
> Мозилла у меня была, но я ее убрал (apt-get remove), уже после установки
> evolution. При этом апт не предлагал мне заодно убрать и evolution.

возможно кто то имел их еще ?
(In reply to comment #2)
> Смотрите.
> 
> $ rpm -qR evolution|grep 'so '
> libnspr4.so
> libnss3.so
> libplc4.so
> libplds4.so
> libsmime3.so
> libsoftokn3.so
> libssl3.so
> 
> Соответственно эти зависимости должны быть удовлетворены apt'ом установкой 
> $ rpm -qf `rpm -qR evolution|grep 'so '|sed -e 's,\(.*\),/usr/lib/\1,'`|sort|uniq
> mozilla-1.7.2-alt1
> mozilla-psm-1.7.2-alt1
> 
> Почему у Вас это не произошло, не знаю.
> 

мозилла тоже имеет файлы требуемые  evolution(так же как и 
thunderbird, firefox) но лежат они там где evolution найти их не может
потому может ему прямо прописать зависимости на пакеты libnss, libnspr ?
------- Comment #11 From 2006-09-28 22:44:40 -------
reassign
------- Comment #12 From 2006-09-28 22:44:59 -------
$ evolution
CalDAV Eplugin starting up ...
$